VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::MonitoringTypes::MonitoredItemData Class Reference

`Monitoring.MonitoredItemData` class Structure representing monitored item data. More...

List of all members.

## Public Member Functions
| MonitoredItemData ()
| Creates a default new instance.
string | GetName ()
| Monitored item IDs Ex: CPU, MEMORY, STORAGE_TOTAL When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.monitoring` .
void | SetName (string name)
| Monitored item IDs Ex: CPU, MEMORY, STORAGE_TOTAL When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.monitoring` .
vmware.appliance.MonitoringTypes.IntervalType | GetInterval ()
| interval between values in hours, minutes
void | SetInterval (vmware.appliance.MonitoringTypes.IntervalType interval)
| interval between values in hours, minutes
vmware.appliance.MonitoringTypes.FunctionType | GetFunction ()
| aggregation function
void | SetFunction (vmware.appliance.MonitoringTypes.FunctionType function)
| aggregation function
global::System.DateTimeOffset | GetStartTime ()
| Starting time.
void | SetStartTime (global::System.DateTimeOffset startTime)
| Starting time.
global::System.DateTimeOffset | GetEndTime ()
| Ending time.
void | SetEndTime (global::System.DateTimeOffset endTime)
| Ending time.
global::System.Collections.Generic.List < string > | GetData ()
| list of values
void | SetData (global::System.Collections.Generic.List< string > data)
| list of values
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Monitoring.MonitoredItemData` class Structure representing monitored item data.

## Constructor & Destructor Documentation

vmware::appliance::MonitoringTypes::MonitoredItemData::MonitoredItemData | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::MonitoringTypes::MonitoredItemData::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::MonitoringTypes::MonitoredItemData::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::MonitoringTypes::MonitoredItemData::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::MonitoringTypes::MonitoredItemData::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::MonitoringTypes::MonitoredItemData::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::MonitoringTypes::MonitoredItemData::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<string> vmware::appliance::MonitoringTypes::MonitoredItemData::GetData | ( |  | ) | `[inline]`

list of values

global::System.DateTimeOffset vmware::appliance::MonitoringTypes::MonitoredItemData::GetEndTime | ( |  | ) | `[inline]`

Ending time.

vmware.appliance.MonitoringTypes.FunctionType vmware::appliance::MonitoringTypes::MonitoredItemData::GetFunction | ( |  | ) | `[inline]`

aggregation function

override int vmware::appliance::MonitoringTypes::MonitoredItemData::GetHashCode | ( |  | ) | `[inline]`

vmware.appliance.MonitoringTypes.IntervalType vmware::appliance::MonitoringTypes::MonitoredItemData::GetInterval | ( |  | ) | `[inline]`

interval between values in hours, minutes

string vmware::appliance::MonitoringTypes::MonitoredItemData::GetName | ( |  | ) | `[inline]`

Monitored item IDs Ex: CPU, MEMORY, STORAGE_TOTAL When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.monitoring` .

When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.appliance.monitoring` .

global::System.DateTimeOffset vmware::appliance::MonitoringTypes::MonitoredItemData::GetStartTime | ( |  | ) | `[inline]`

Starting time.

void vmware::appliance::MonitoringTypes::MonitoredItemData::SetData | ( | global::System.Collections.Generic.List< string > | data | ) | `[inline]`

list of values

void vmware::appliance::MonitoringTypes::MonitoredItemData::SetEndTime | ( | global::System.DateTimeOffset | endTime | ) | `[inline]`

Ending time.

void vmware::appliance::MonitoringTypes::MonitoredItemData::SetFunction | ( | vmware.appliance.MonitoringTypes.FunctionType | function | ) | `[inline]`

aggregation function

void vmware::appliance::MonitoringTypes::MonitoredItemData::SetInterval | ( | vmware.appliance.MonitoringTypes.IntervalType | interval | ) | `[inline]`

interval between values in hours, minutes

void vmware::appliance::MonitoringTypes::MonitoredItemData::SetName | ( | string | name | ) | `[inline]`

Monitored item IDs Ex: CPU, MEMORY, STORAGE_TOTAL When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.monitoring` .

When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.appliance.monitoring` .

void vmware::appliance::MonitoringTypes::MonitoredItemData::SetStartTime | ( | global::System.DateTimeOffset | startTime | ) | `[inline]`

Starting time.

override string vmware::appliance::MonitoringTypes::MonitoredItemData::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- MonitoringTypes.cs